Kerbal Space Program - Bug #9461

crash on startup: [xcb] Unknown sequence number while processing queue
04/24/2016 09:28 AM - Jajcus

Status: Needs Clarification Start date: 04/24/2016
Severity: Low % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

KSP crashes on startup, Player.log suggests something is wrong with X11 and threading:

[xcb] Unknown sequence number while processing queue

[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called

[xcb] Aborting, sorry about that.

KSP.x86_64: ../../src/xcb_io.c:274: poll_for_event: Assertion "Ixcb_xlib_threads_sequence_lost' failed.

GPU: Intel HD Graphics 4600
driver: Mesa 11.2.1

History

#1 - 04/24/2016 10:41 AM - Jajcus

It seems the crash is caused by the '-force-glcore’ option used to workaround another bug: http:/bugs.kerbalspaceprogram.com/issues/9341

'-force-glcore33' works better (no crash), provided | disable shadows in settings.

#2 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from New to Needs Clarification

Files

Player.log 44.1 KB 04/24/2016 Jajcus
